Apache log4cxx Version @version@

Public Member Functions | List of all members
ClassNotFoundException Class Reference

Thrown when an application tries to load in a class through its string name but no definition for the class with the specified name could be found. More...

`#include <exception.h>`

Inheritance diagram for ClassNotFoundException:

## Public Member Functions
| ClassNotFoundException (const LogString &className)
| ClassNotFoundException (const ClassNotFoundException &msg)
ClassNotFoundException & | operator= (const ClassNotFoundException &msg)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Thrown when an application tries to load in a class through its string name but no definition for the class with the specified name could be found.

## Constructor & Destructor Documentation

## ◆ ClassNotFoundException() [1/2]

ClassNotFoundException | ( | const LogString & | className | ) |

## ◆ ClassNotFoundException() [2/2]

ClassNotFoundException | ( | const ClassNotFoundException & | msg | ) |

## Member Function Documentation

## ◆ operator=()

ClassNotFoundException & operator= | ( | const ClassNotFoundException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h